import { Component, OnInit } from '@angular/core';
import { Prefix } from 'src/app/models/prefix.model';
import { PrefixService } from 'src/app/services/prefix.service';

@Component({
  selector: 'app-prefix-details',
  templateUrl: './prefix-details.component.html',
  styleUrls: ['./prefix-details.component.scss']
  
})
export class PrefixDetailsComponent implements OnInit {

  //for the moment only one prefix can showed/updates
  currentprefix: Prefix  = {
    prefix: "",
    system_fun_item: "",
    state_or_verb: "",
    item_function_flow_statevalue: "",
    logical_expression: "",
    logic_connective: "",
    simple_prefix: "",
  };
  message = '';
  simpleprefix = [];
  subjects = [];
  verbs = [];
  objects = [];
  logic_con = [];



  constructor(
    private prefixService: PrefixService) { }

  ngOnInit(): void { this.getchoices();
   }

  getPrefix(boilerplate: any, id: string): void {
    this.prefixService.get(boilerplate, id)
      .subscribe(
        data => {
          this.currentprefix = data;
          console.log(data);
        },
        error => {
          console.log(error);
        });
  }

  getchoices(): void{
  this.prefixService.getsimpleprefix()
    .subscribe(
      data => {
        this.simpleprefix = data;
      },
      error => {
        console.log(error);
      });
  this.prefixService.getlogcon()
    .subscribe(
      data => {
        this.logic_con = data;
      },
      error => {
        console.log(error);
      });
  this.prefixService.getverb()
    .subscribe(
      data => {
        this.verbs = data;
      },
      error => {
        console.log(error);
      });
  this.prefixService.getsubject()
    .subscribe(
      data => {
        this.subjects = data;
      },
      error => {
        console.log(error);
      });
  this.prefixService.getoobject()
    .subscribe(
      data => {
        this.objects = data;
      },
      error => {
        console.log(error);
      });
  }

}
